# geos::geom::Location Class Reference

Constants representing the location of a point relative to a geometry. More...

`#include <Location.h>`

List of all members.

## Public Types

enum | Value { UNDEF = -1, INTERIOR = 0, BOUNDARY = 1, EXTERIOR = 2 }

## Static Public Member Functions

static char | toLocationSymbol (int locationValue)

## Detailed Description

Constants representing the location of a point relative to a geometry.

They can also be thought of as the row or column index of a DE-9IM matrix. For a description of the DE-9IM, see the OpenGIS Simple Features Specification for SQL .

## Member Enumeration Documentation

enum geos::geom::Location::Value

Enumerator:

  UNDEF | Used for uninitialized location values.
  INTERIOR | DE-9IM row index of the interior of the first geometry and column index of the interior of the second geometry. Location value for the interior of a geometry.
  BOUNDARY | DE-9IM row index of the boundary of the first geometry and column index of the boundary of the second geometry. Location value for the boundary of a geometry.
  EXTERIOR | DE-9IM row index of the exterior of the first geometry and column index of the exterior of the second geometry. Location value for the exterior of a geometry.

The documentation for this class was generated from the following file:

- Location.h